Skip to main content
GET
Get a specific material conversion config version

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Path Parameters

version_id
string
required
Example:

"mcvcv_01krxsm2pxdgygx26jbyv4ztjy"

id
string
required
Example:

"mcvc_01kyaas94dty6shm2d0j7zw9v8"

Response

id
string
required

The ID of the config version.

Example:

"mcvcv_01krxsm2pxdgygx26jbyv4ztjy"

config_id
string
required

The ID of the config this version belongs to.

Example:

"mcvc_01kyaas94dty6shm2d0j7zw9v8"

name
string
required

Human-readable name of the config version.

Example:

"Pyrolysis"

published_at
string<date-time>
required

When this version was published.

Example:

"2026-01-15T08:00:00Z"

unified
boolean
required

Whether the conversion and its containers are configured as one unified flow. When true, data_point_configs spans the whole flow (conversion step, input and output containers) and creates take one flat data_points array. When false, input_configs and output_configs list the container configs to describe input and output containers against.

Example:

true

data_point_configs
object[]
required

Data points that can be set on conversions created from this config. For unified configs this spans the whole flow, including the input and output containers' data points.

input_configs
object[]

Only present when unified is false: the container configs new input containers are described against (via input_containers on create).

output_configs
object[]

Only present when unified is false: the container configs new output containers are described against (via output_containers on create).